org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class MapStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.MapStageVerification

    public class MapStageVerification
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`class` `MapStageVerification.ProcessorVerification`

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `mapStageBuilderShouldBeReusable()`
`void` `mapStageShouldFailIfNullReturned()`
`void` `mapStageShouldHandleExceptions()`
`void` `mapStageShouldMapElements()`
`void` `mapStageShouldPropagateUpstreamExceptions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### mapStageShouldMapElements

    public void mapStageShouldMapElements()

#### mapStageShouldHandleExceptions

    public void mapStageShouldHandleExceptions()

#### mapStageShouldPropagateUpstreamExceptions

    public void mapStageShouldPropagateUpstreamExceptions()

#### mapStageShouldFailIfNullReturned

    public void mapStageShouldFailIfNullReturned()

#### mapStageBuilderShouldBeReusable

    public void mapStageBuilderShouldBeReusable()